Skip to main content
GET
/
api2
/
v1
/
termBases
/
{termBaseUid}
/
concepts
List concepts
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "concepts": [
    {
      "conceptNote": "<string>",
      "customFields": [
        {
          "fieldName": "<string>",
          "value": {}
        }
      ],
      "definition": "<string>",
      "domain": {
        "id": "<string>",
        "name": "<string>",
        "uid": "<string>"
      },
      "id": "<string>",
      "subdomains": [
        {
          "id": "<string>",
          "name": "<string>",
          "uid": "<string>"
        }
      ],
      "url": "<string>"
    }
  ],
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

termBaseUid
string
required

Term base UID

Query Parameters

pageNumber
integer<int32>
default:0

Page number, starting with 0, default 0

Required range: x >= 0
pageSize
integer<int32>
default:50

Page size, accepts values between 1 and 50, default 50

Required range: 1 <= x <= 50

Response

OK

concepts
object[]

List of concepts

totalCount
integer<int64>

Total number of concepts